Subject: Re: bug#28997: 27.0.50; Error in async shell-command process filter
From: Eli Zaretskii <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Fri, 03 Nov 2017 11:52:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Wed, 25 Oct 2017 16:50:01 +0100
> 
> 1) emacs -Q
> 2) M-x set-variable RET
>    async-shell-command-display-buffer RET
>    nil RET
> 3) M-: (async-shell-command
>         "ls ~" (generate-new-buffer "home")) RET
> 
> This results in the following error:
> 
>   error in process filter: Wrong type argument:
>     stringp, #<buffer home>
> 
> I attach the relevant backtrace.

Thanks, I've pushed your changes to fix this bug, and I'm marking this
bug report as done.